#!/usr/bin/env sh

version='4.5.0'
year='2013'
month='11'
day='08'
upstream_url='https://github.com/the-tcpdump-group/tcpdump.git'

rm -rf tcpdump

git clone -q $upstream_url 2>&1 >/dev/null
if [ $? -ne 0 ]; then
    echo 'error: can not clone upstream git'
    exit $rc
fi

cd tcpdump

commit_sha="$(git log --until="$year $day $month" --pretty=format:%h | head -n1)"
tarball_name="tcpdump-${version}-${year}${month}${day}git${commit_sha}.tar.gz"

git reset --hard $commit_sha 2>&1 >/dev/null
if [ $? -ne 0 ]; then
    echo 'error: can not reset HEAD to commit $commit_sha, invalid repository'
    exit $rc
echo
fi

echo $version > VERSION

./configure >/dev/null 2>&1
if [ $? -ne 0 ]; then
    echo 'error: configure script failed, probably there are missing build dependencies'
    exit $rc
fi

make releasetar
mv "tcpdump-${version}.tar.gz" $tarball_name

cd ..
cp tcpdump/$tarball_name $tarball_name
rm -rf tcpdump

exit 0
